Subject: [OSPF] Link-State Routing WG charter

From: Alia Atlas <[email-masked]>
Date: Wed, 24 Jan 2018 12:18:58 -0500

Here is the proposed charter for the LSR working group
that will be created from the SPF and ISIS working groups.

This is scheduled for internal review for the IESG telechat on February 8.

https://datatracker.ietf.org/doc/charter-ietf-lsr/

The Link-State Routing (LSR) Working Group is chartered to document current
protocol implementation practices and improvements, protocol usage
scenarios, maintenance and extensions of link-state routing interior
gateway protocols (IGPs) with a focus on IS-IS, OSPFv2, and OSPFv3.  The
LSR Working Group is formed by merging the isis and ospf WGs and will take
on all their existing adopted work at the time of chartering.

IS-IS is an IGP specified and standardized by ISO through ISO 10589:2002
and additional RFC standards with extensions to support IP that has been
deployed in the Internet for decades.  For the IS-IS protocol, LSR’s work
is focused on IP routing, currently based on the agreement in RFC 3563 with
ISO/JTC1/SC6. The LSR WG will interact with other standards bodies that
have responsible for standardizing IS-IS.

OSPFv2 [RFC 2328 and extensions], is an IGP that has been deployed in the
Internet for decades. OSPFv3 [RFC5340 and extensions] provides OSPF for
IPv6 and IPv4 [RFC5838] which can be delivered over IPv6 or IPv4 [RFC 7949].

The LSR Working Group will generally manage its specific work items by
milestones agreed with the responsible Area Director.

The following topics are expected to be an initial focus:

1) Improving OSPF support for IPv6 and extensions using OSPFv3 LSA
Extendibility.
2) Extensions needed for Segment Routing and associated architectural
changes
3) YANG models for IS-IS, OSPFv2, and OSPFv3 and extensions
4) Extensions for source-destination routing
[draft-ietf-rtgwg-dst-src-routing]
5) Potentially, extensions to better support specific network topologies
such as
ones commonly used in data centers.

The Link-State Routing (LSR) Working Group will coordinate with other
working groups, such as RTGWG, SPRING, MPLS, TEAS, V6OPS, and 6MAN, to
understand the need for extensions and to confirm that the planned work
meets the needs.  LSR can coordinate with CCAMP and BIER on their
extensions to the LSR IGPs as useful.  LSR may coordinate with other WGs as
needed.

Regards,
Alia

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 24 Jan 2018 17:32:07 +0000

Alia,

I think that this merger is long overdue, and hopefully it will help new 
features to be written in an aligned way.

I think the remit to perform general maintenance should slightly 
clarified since the way the charter is written they look like they are 
at a lower priority than the enumerated list.

I would have thought that "LSR can coordinate with CCAMP and BIER on 
their extensions " should have been more directive.

- Stewart

On 24/01/2018 17:18, Alia Atlas wrote:
> The Link-State Routing (LSR) Working Group is chartered to document 
> current protocol implementation practices and improvements, protocol 
> usage scenarios, maintenance and extensions of link-state routing 
> interior gateway protocols (IGPs) with a focus on IS-IS, OSPFv2, and 
> OSPFv3.  The LSR Working Group is formed by merging the isis and ospf 
> WGs and will take on all their existing adopted work at the time of 
> chartering.
>
> IS-IS is an IGP specified and standardized by ISO through ISO 
> 10589:2002 and additional RFC standards with extensions to support IP 
> that has been deployed in the Internet for decades.  For the IS-IS 
> protocol, LSR’s work is focused on IP routing, currently based on the 
> agreement in RFC 3563 with ISO/JTC1/SC6. The LSR WG will interact with 
> other standards bodies that have responsible for standardizing IS-IS.
>
> OSPFv2 [RFC 2328 and extensions], is an IGP that has been deployed in 
> the Internet for decades. OSPFv3 [RFC5340 and extensions] provides 
> OSPF for IPv6 and IPv4 [RFC5838] which can be delivered over IPv6 or 
> IPv4 [RFC 7949].
>
> 5) Potentially, extensions to better support specific network 
> topologies such as
> understand the need for extensions and to confirm that the planned 
> work meets the needs.  LSR can coordinate with CCAMP and BIER on their 
> extensions to the LSR IGPs as useful.  LSR may coordinate with other 
> WGs as needed.
>
> Regards,
> Alia
>
>
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg

---

From: Alia Atlas <[email-masked]>
Date: Wed, 24 Jan 2018 12:42:26 -0500

Hi Stewart,

Thanks for the quick feedback.  Feel free to provide suggestions for text
changes if you have them.
You've certainly written enough charters :-)

Regards,
Alia

On Wed, Jan 24, 2018 at 12:32 PM, Stewart Bryant <[email-masked]>
wrote:

> I think the remit to perform general maintenance should slightly clarified
> since the way the charter is written they look like they are at a lower
> priority than the enumerated list.
>
> I would have thought that "LSR can coordinate with CCAMP and BIER on their
> extensions " should have been more directive.
>
> - Stewart
>
>
> current protocol implementation practices and improvements, protocol usage
> 4) Extensions for source-destination routing [draft-ietf-rtgwg-dst-src-
> routing]
> Isis-wg mailing [email-masked]://www.ietf.org/mailman/listinfo/isis-wg
>
>
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 24 Jan 2018 17:54:14 +0000

How about:

LSR will coordinate with CCAMP and BIER on their extensions to the LSR IGPs as
applicable to LSV protocol operation and scale.

Thanks,
Acee

From: Isis-wg <[email-masked]> on behalf of Alia Atlas <[email-masked]>
Date: Wednesday, January 24, 2018 at 12:42 PM
To: Stewart Bryant <[email-masked]>
Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Isis-wg] Link-State Routing WG charter

Hi Stewart,

Thanks for the quick feedback.  Feel free to provide suggestions for text changes if you have them.
You've certainly written enough charters :-)

Regards,
Alia

On Wed, Jan 24, 2018 at 12:32 PM, Stewart Bryant <[email-masked]<mailto:[email-masked]>> wrote:

Alia,
I think that this merger is long overdue, and hopefully it will help new features to be written in an aligned way.

I think the remit to perform general maintenance should slightly clarified since the way the charter is written they look like they are at a lower priority than the enumerated list.

I would have thought that "LSR can coordinate with CCAMP and BIER on their extensions " should have been more directive.

- Stewart

The Link-State Routing (LSR) Working Group is chartered to document current protocol implementation practices and improvements, protocol usage scenarios, maintenance and extensions of link-state routing interior gateway protocols (IGPs) with a focus on IS-IS, OSPFv2, and OSPFv3.  The LSR Working Group is formed by merging the isis and ospf WGs and will take on all their existing adopted work at the time of chartering.

IS-IS is an IGP specified and standardized by ISO through ISO 10589:2002 and additional RFC standards with extensions to support IP that has been deployed in the Internet for decades.  For the IS-IS protocol, LSR’s work is focused on IP routing, currently based on the agreement in RFC 3563 with ISO/JTC1/SC6. The LSR WG will interact with other standards bodies that have responsible for standardizing IS-IS.

OSPFv2 [RFC 2328 and extensions], is an IGP that has been deployed in the Internet for decades. OSPFv3 [RFC5340 and extensions] provides OSPF for IPv6 and IPv4 [RFC5838] which can be delivered over IPv6 or IPv4 [RFC 7949].

The LSR Working Group will generally manage its specific work items by milestones agreed with the responsible Area Director.

1) Improving OSPF support for IPv6 and extensions using OSPFv3 LSA Extendibility.
2) Extensions needed for Segment Routing and associated architectural changes
3) YANG models for IS-IS, OSPFv2, and OSPFv3 and extensions
4) Extensions for source-destination routing [draft-ietf-rtgwg-dst-src-routing]
5) Potentially, extensions to better support specific network topologies such as
ones commonly used in data centers.

The Link-State Routing (LSR) Working Group will coordinate with other working groups, such as RTGWG, SPRING, MPLS, TEAS, V6OPS, and 6MAN, to understand the need for extensions and to confirm that the planned work meets the needs.  LSR can coordinate with CCAMP and BIER on their extensions to the LSR IGPs as useful.  LSR may coordinate with other WGs as needed.

Regards,
Alia

Isis-wg mailing list

[email-masked]<mailto:[email-masked]>

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 24 Jan 2018 18:01:20 +0000

Yes that fixes that.

How about:

s/The following topics are expected to be an initial focus:/ In addition 
to ongoing maintenance, the following topics are expected to be an 
initial focus:/

I am just concerned that we need not to loose focus on work in progress.

- Stewart

On 24/01/2018 17:54, Acee Lindem (acee) wrote:
> *From: *Isis-wg <[email-masked]> on behalf of Alia Atlas 
> <[email-masked]>
> *Date: *Wednesday, January 24, 2018 at 12:42 PM
> *To: *Stewart Bryant <[email-masked]>
> *Cc: *OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
> *Subject: *Re: [Isis-wg] Link-State Routing WG charter
>
> Hi Stewart,
>
> On Wed, Jan 24, 2018 at 12:32 PM, Stewart Bryant 
> <[email-masked]<mailto:[email-masked]>> wrote:
>
>     Alia,
>
>     I think that this merger is long overdue, and hopefully it will
>     help new features to be written in an aligned way.
>
>     clarified since the way the charter is written they look like they
>     are at a lower priority than the enumerated list.
>
>     I would have thought that "LSR can coordinate with CCAMP and BIER
>     on their extensions " should have been more directive.
>
>     - Stewart
>
>         The Link-State Routing (LSR) Working Group is chartered to
>         document current protocol implementation practices and
>         improvements, protocol usage scenarios, maintenance and
>         extensions of link-state routing interior gateway protocols
>         (IGPs) with a focus on IS-IS, OSPFv2, and OSPFv3.  The LSR
>         Working Group is formed by merging the isis and ospf WGs and
>         will take on all their existing adopted work at the time of
>         chartering.
>
>         10589:2002 and additional RFC standards with extensions to
>         support IP that has been deployed in the Internet for
>         decades.  For the IS-IS protocol, LSR’s work is focused on IP
>         routing, currently based on the agreement in RFC 3563 with
>         ISO/JTC1/SC6. The LSR WG will interact with other standards
>         bodies that have responsible for standardizing IS-IS.
>
>         OSPFv2 [RFC 2328 and extensions], is an IGP that has been
>         deployed in the Internet for decades. OSPFv3 [RFC5340 and
>         extensions] provides OSPF for IPv6 and IPv4 [RFC5838] which
>         can be delivered over IPv6 or IPv4 [RFC 7949].
>
>         The LSR Working Group will generally manage its specific work
>         items by milestones agreed with the responsible Area Director.
>
>         The Link-State Routing (LSR) Working Group will coordinate
>         with other working groups, such as RTGWG, SPRING, MPLS, TEAS,
>         V6OPS, and 6MAN, to understand the need for extensions and to
>         confirm that the planned work meets the needs.  LSR can
>         coordinate with CCAMP and BIER on their extensions to the LSR
>         IGPs as useful.  LSR may coordinate with other WGs as needed.
>
>         Regards,
>
>         Alia
>
>
>

---

From: Alia Atlas <[email-masked]>
Date: Wed, 24 Jan 2018 13:01:57 -0500

Sounds good to both.

Thanks,
Alia

On Wed, Jan 24, 2018 at 1:01 PM, Stewart Bryant <[email-masked]>
wrote:

> to ongoing maintenance, the following topics are expected to be an initial
> focus:/
>
> *From: *Isis-wg <[email-masked]> <[email-masked]> on
> behalf of Alia Atlas <[email-masked]> <[email-masked]>
> *To: *Stewart Bryant <[email-masked]> <[email-masked]>
> *Cc: *OSPF WG List <[email-masked]> <[email-masked]>, "[email-masked]"
> <[email-masked]> <[email-masked]> <[email-masked]>

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 24 Jan 2018 22:33:07 +0000

Since a charter only provides a general definition of the work that falls within the purview of the WG it requires some adjunct to keep track of the current priorities.
That could be the list of milestones (which OSPF has regularly maintained – but IS-IS has not) – or it could simply be the list of active WG documents.
I just don’t see that we should expect the charter to express “work in progress” now – or in the future.

Alia – do you think the statement about IS-IS:

“LSR’s work is focused on IP routing…”

Could be improved by saying

“LSR’s work is focused on IP/IPv6 routing…”

???

   Les

From: Isis-wg [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Wednesday, January 24, 2018 10:01 AM
To: Acee Lindem (acee) <[email-masked]>; Alia Atlas <[email-masked]>
Cc: OSPF List <[email-masked]>; [email-masked]
Subject: Re: [Isis-wg] Link-State Routing WG charter

Yes that fixes that.

How about:

s/The following topics are expected to be an initial focus:/ In addition to ongoing maintenance, the following topics are expected to be an initial focus:/

- Stewart

Thanks,
Acee

From: Isis-wg <[email-masked]><mailto:[email-masked]> on behalf of Alia Atlas <[email-masked]><mailto:[email-masked]>
Date: Wednesday, January 24, 2018 at 12:42 PM
To: Stewart Bryant <[email-masked]><mailto:[email-masked]>
Cc: OSPF WG List <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>
Subject: Re: [Isis-wg] Link-State Routing WG charter

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 24 Jan 2018 23:09:17 +0000

It occurred to me after sending this that perhaps a better statement as regards IS-IS would be:

“LSR’s work is focused on IP/IPv6 and Layer 2 routing…”

though admittedly there isn’t much going on as regards Layer2 and IS-IS at the moment.

   Les

From: Isis-wg [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, January 24, 2018 2:33 PM
To: Stewart Bryant <[email-masked]>; Acee Lindem (acee) <[email-masked]>; Alia Atlas <[email-masked]>
Cc: OSPF List <[email-masked]>; [email-masked]
Subject: Re: [Isis-wg] Link-State Routing WG charter

???

   Les

From: Isis-wg [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Wednesday, January 24, 2018 10:01 AM
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Alia Atlas <[email-masked]<mailto:[email-masked]>>
Cc: OSPF List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Isis-wg] Link-State Routing WG charter

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: Alia Atlas <[email-masked]>
Date: Wed, 24 Jan 2018 19:13:04 -0500

Hi Les,

Thanks for the suggestions!  I've modified the paragraph about IS-IS to
read:

"IS-IS is an IGP specified and standardized by ISO through ISO 10589:2002
and additional RFC standards with extensions to support IP that has been
deployed in the Internet for decades.  For the IS-IS protocol, LSR-WG’s
work is focused on IP routing, currently based on the agreement in RFC 3563
with ISO/JTC1/SC6. The LSR-WG will interact with other standards bodies
that have responsible for standardizing IS-IS. LSR-WG will continue to
support Layer 2 routing (for example TRILL work) as needed."

and updated to "In addition to ongoing maintenance, the following topics
are expected to be among the work-items at the time of chartering." to
clarify that the list isn't constrictive.

I didn't go for IP/IPv6 since IP should cover both IPv4 & IPv6.

The updated version (with Stewart's comments addressed as well) can be
found as charter-ietf-lsf-00-04 at:

Regards,
Alia

On Wed, Jan 24, 2018 at 6:09 PM, Les Ginsberg (ginsberg) <[email-masked]

> *From:* Isis-wg [mailto:[email-masked]] *On Behalf Of *Les
> Ginsberg (ginsberg)
> *Sent:* Wednesday, January 24, 2018 2:33 PM
> *To:* Stewart Bryant <[email-masked]>; Acee Lindem (acee) <
> [email-masked]>; Alia Atlas <[email-masked]>
>
> *Cc:* OSPF List <[email-masked]>; [email-masked]
> *Subject:* Re: [Isis-wg] Link-State Routing WG charter
>
>
>
> Since a charter only provides a general definition of the work that falls
> within the purview of the WG it requires some adjunct to keep track of the
> current priorities.
>
> That could be the list of milestones (which OSPF has regularly maintained
> – but IS-IS has not) – or it could simply be the list of active WG
> documents.
>
> *From:* Isis-wg [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Stewart Bryant
> *Sent:* Wednesday, January 24, 2018 10:01 AM
> *To:* Acee Lindem (acee) <[email-masked]>; Alia Atlas <[email-masked]>
> *Cc:* OSPF List <[email-masked]>; [email-masked]
> *Subject:* Re: [Isis-wg] Link-State Routing WG charter
>
>
>
> Yes that fixes that.
>
> How about:
>

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 25 Jan 2018 00:29:58 +0000

Alia –

Looks fine to me – thanx. I like the fact that the charter now more clearly allows work which we have yet to anticipate.
If the staunch IPv6 advocates don’t give you grief for overloading “IP” to mean “IP/IPv6” you won’t get any from me. ☺

   Les

From: Alia Atlas [mailto:[email-masked]]
Sent: Wednesday, January 24, 2018 4:13 PM
To: Les Ginsberg (ginsberg) <[email-masked]>
Cc: Stewart Bryant <[email-masked]>; Acee Lindem (acee) <[email-masked]>; OSPF List <[email-masked]>; [email-masked]
Subject: Re: [Isis-wg] Link-State Routing WG charter

Hi Les,

Thanks for the suggestions!  I've modified the paragraph about IS-IS to read:

"IS-IS is an IGP specified and standardized by ISO through ISO 10589:2002 and additional RFC standards with extensions to support IP that has been deployed in the Internet for decades.  For the IS-IS protocol, LSR-WG’s work is focused on IP routing, currently based on the agreement in RFC 3563 with ISO/JTC1/SC6. The LSR-WG will interact with other standards bodies that have responsible for standardizing IS-IS. LSR-WG will continue to support Layer 2 routing (for example TRILL work) as needed."

and updated to "In addition to ongoing maintenance, the following topics are expected to be among the work-items at the time of chartering." to clarify that the list isn't constrictive.

The updated version (with Stewart's comments addressed as well) can be found as charter-ietf-lsf-00-04 at:

Regards,
Alia

On Wed, Jan 24, 2018 at 6:09 PM, Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>> wrote:
It occurred to me after sending this that perhaps a better statement as regards IS-IS would be:

   Les

From: Isis-wg [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, January 24, 2018 2:33 PM
To: Stewart Bryant <[email-masked]<mailto:[email-masked]>>; Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Alia Atlas <[email-masked]<mailto:[email-masked]>>

???

   Les

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 25 Jan 2018 12:31:34 +0000

Les

I agree wrt L2

Isn't another focus collecting the information to feed into an SDN 
controller via BGP-LS? That is really network layer  state collection 
rather than routing in the traditional sense.

- Stewart

On 24/01/2018 23:09, Les Ginsberg (ginsberg) wrote:
> *From:*Isis-wg [mailto:[email-masked]] *On Behalf Of *Les 
> Ginsberg (ginsberg)
> *To:* Stewart Bryant <[email-masked]>; Acee Lindem (acee) 
> <[email-masked]>; Alia Atlas <[email-masked]>
> Since a charter only provides a general definition of the work that 
> falls within the purview of the WG it requires some adjunct to keep 
> track of the current priorities.
>
> That could be the list of milestones (which OSPF has regularly 
> maintained – but IS-IS has not) – or it could simply be the list of 
> active WG documents.
>
> *From:*Isis-wg [mailto:[email-masked]] *On Behalf Of 
> *Stewart Bryant
> *To:* Acee Lindem (acee) <[email-masked] <mailto:[email-masked]>>; 
> Alia Atlas <[email-masked] <mailto:[email-masked]>>
> *Cc:* OSPF List <[email-masked] <mailto:[email-masked]>>; 
> [email-masked] <mailto:[email-masked]>
> s/The following topics are expected to be an initial focus:/ In 
> addition to ongoing maintenance, the following topics are expected to 
> be an initial focus:/
>
>     *From: *Isis-wg
>     <[email-masked]><mailto:[email-masked]>on
>     behalf of Alia Atlas <[email-masked]><mailto:[email-masked]>
>     *To: *Stewart Bryant
>     <[email-masked]><mailto:[email-masked]>
>     *Cc: *OSPF WG List <[email-masked]><mailto:[email-masked]>,
>     "[email-masked]"<mailto:[email-masked]><[email-masked]><mailto:[email-masked]>
>         I think that this merger is long overdue, and hopefully it
>         will help new features to be written in an aligned way.
>
>         I think the remit to perform general maintenance should
>         slightly clarified since the way the charter is written they
>         look like they are at a lower priority than the enumerated list.
>
>         I would have thought that "LSR can coordinate with CCAMP and
>         BIER on their extensions " should have been more directive.
>
>         - Stewart
>
>             extensions of link-state routing interior gateway
>             protocols (IGPs) with a focus on IS-IS, OSPFv2, and
>             OSPFv3.  The LSR Working Group is formed by merging the
>             isis and ospf WGs and will take on all their existing
>             adopted work at the time of chartering.
>
>             IS-IS is an IGP specified and standardized by ISO through
>             ISO 10589:2002 and additional RFC standards with
>             extensions to support IP that has been deployed in the
>             Internet for decades.  For the IS-IS protocol, LSR’s work
>             is focused on IP routing, currently based on the agreement
>             in RFC 3563 with ISO/JTC1/SC6. The LSR WG will interact
>             with other standards bodies that have responsible for
>             standardizing IS-IS.
>
>             extensions] provides OSPF for IPv6 and IPv4 [RFC5838]
>             which can be delivered over IPv6 or IPv4 [RFC 7949].
>
>             The LSR Working Group will generally manage its specific
>             work items by milestones agreed with the responsible Area
>             Director.
>
>             with other working groups, such as RTGWG, SPRING, MPLS,
>             TEAS, V6OPS, and 6MAN, to understand the need for
>             extensions and to confirm that the planned work meets the
>             needs.  LSR can coordinate with CCAMP and BIER on their
>             extensions to the LSR IGPs as useful.  LSR may coordinate
>             with other WGs as needed.
>
>             Regards,
>
>             Alia
>
>
>

---

From: Julien Meuric <[email-masked]>
Date: Thu, 25 Jan 2018 15:19:10 +0100

Hi all,

I agree with Stewart: it would be clearer to make explicit that all the
protocol work we have been referring to as "Traffic
Engineering"/"extended metrics"/"topological parameters"/etc. is still
in scope of the LSR WG.

By the way, I think is would be great to also mention the PCE WG when we
tackle the list of expected coordinations, somewhere near MPLS and TEAS...

Thanks,

Julien

Jan. 25, 2018 - [email-masked]:
>>             The Link-State Routing (LSR) Working Group is chartered
>>             to document current protocol implementation practices and
>>             is focused on IP routing, currently based on the
>>             agreement in RFC 3563 with ISO/JTC1/SC6. The LSR WG will
>>             interact with other standards bodies that have
>>             responsible for standardizing IS-IS.
>>
>>              
>>
>>             The Link-State Routing (LSR) Working Group will
>>             coordinate with other working groups, such as RTGWG,
>>             SPRING, MPLS, TEAS, V6OPS, and 6MAN, to understand the
>>             need for extensions and to confirm that the planned work
>>             meets the needs.  LSR can coordinate with CCAMP and BIER
>>             on their extensions to the LSR IGPs as useful.  LSR may
>>             coordinate with other WGs as needed.
>>
>>              
>>
>>             Regards,
>>
>>             Alia
>>
>>
>>
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 25 Jan 2018 15:16:55 +0000

Hi Stewart,

From: Stewart Bryant <[email-masked]>
Date: Thursday, January 25, 2018 at 7:31 AM
To: "Les Ginsberg (ginsberg)" <[email-masked]>, Acee Lindem <[email-masked]>, Alia Atlas <[email-masked]>
Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Isis-wg] Link-State Routing WG charter

Les

I agree wrt L2

Isn't another focus collecting the information to feed into an SDN controller via BGP-LS? That is really network layer  state collection rather than routing in the traditional sense.

It is more than the above. IS-IS has been used for the advertisement of L2 addresses (e.g., MACs)  and computation of the L2RIB for TRILL and SPB (IEEE 802.1aq). This merely acknowledges that there may be similar use cases in the future. Apologies if I misinterpreted your statement.

Thanks,

Acee

- Stewart

   Les

From: Isis-wg [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, January 24, 2018 2:33 PM
To: Stewart Bryant <[email-masked]><mailto:[email-masked]>; Acee Lindem (acee) <[email-masked]><mailto:[email-masked]>; Alia Atlas <[email-masked]><mailto:[email-masked]>
Cc: OSPF List <[email-masked]><mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Isis-wg] Link-State Routing WG charter

???

   Les

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 25 Jan 2018 16:33:47 +0000 (GMT)

Of course the routing area has created another link state routing protocol in the recent past, OLSRv2 (RFC 7181) in the MANET WG (not listed for coordination). And if any work ever re-surfaces (beyond the existing three experimental RFCs) on adaption of OSPF for wireless networks (MANETs) then that may be relevant. Also, at the moment, the MANET WG is responsible for OLSRv2 maintenance, but none is currently ongoing, the MANETWG  is almost entirely working on DLEP (a reason I’m pretty much observing only).

--
Christopher Dearlove
Senior Principal Engineer
BAE Systems Applied Intelligence Laboratories
__________________________________________________________________________

T:  +44 3300 467500  |  E: [email-masked]<mailto:[email-masked]>

BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN.
www.baesystems.com/ai<http://www.baesystems.com/ai>
BAE Systems Applied Intelligence Limited
Registered in England & Wales No: 01337451
Registered Office: Surrey Research Park, Guildford, Surrey, GU2 7YP

From: OSPF [mailto:[email-masked]] On Behalf Of Alia Atlas
Sent: 24 January 2018 17:19
To: [email-masked]; OSPF List
Subject: [OSPF] Link-State Routing WG charter

!! PHISHING ALERT !!
This email has been sent from an account outside of the BAE Systems network.

Is it from someone you already know? Is the email business related and in context with your job role? If not it could be a phishing email.
If it is asking you to click on a link or open an attached word document it could be particularly dangerous.

Don't get hooked, it could result in your machine or the wider network becoming infected.

For information regarding Red Flags that you can look out for in emails you receive click here<http://ws-sites.ent.baesystems.com/sites/HOSECStdsLibrary/StandardsLibrary/Everyone/Red%20Flags.pdf>.

If you feel the email is suspicious, please follow this process<http://ws-sites.ent.baesystems.com/sites/HOSECStdsLibrary/StandardsLibrary/Everyone/Dealing%20With%20Suspicious%20Emails.pdf>.

Regards,
Alia
********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 25 Jan 2018 18:59:03 +0000

Stewart -

From: Stewart Bryant [mailto:[email-masked]]
Sent: Thursday, January 25, 2018 4:32 AM
To: Les Ginsberg (ginsberg) <[email-masked]>; Acee Lindem (acee) <[email-masked]>; Alia Atlas <[email-masked]>
Cc: OSPF List <[email-masked]>; [email-masked]
Subject: Re: [Isis-wg] Link-State Routing WG charter

Les

I agree wrt L2

[Les:] Please do not propose such language. This raises the old discussion about using the IGPs as a transport for “just about anything”.

We long ago agreed that TE related information was “routing information” – if for no other reason than it was grandfathered in. But this does not alter the IGP’s focus on routing.

I know we “stretch” the definition with things like MSD and S-BFD discriminators, but I see these as carefully considered choices – and ones w modest impact.

Institutionalizing the IGPs as an “SDN Distribution Protocol” is not something I want in the charter.

   Les

- Stewart

   Les

???

   Les

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 25 Jan 2018 19:17:49 +0000

I agree with Les about being selective about LSR non-routing usage.

Thanks,
Acee

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thursday, January 25, 2018 at 1:59 PM
To: Stewart Bryant <[email-masked]>, Acee Lindem <[email-masked]>, Alia Atlas <[email-masked]>
Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [Isis-wg] Link-State Routing WG charter

Stewart -

Les

I agree wrt L2

   Les

- Stewart

   Les

???

   Les

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 25 Jan 2018 19:25:25 +0000

On 25/01/2018 18:59, Les Ginsberg (ginsberg) wrote:
>
> Stewart -
>
> *From:*Stewart Bryant [mailto:[email-masked]]
> *Sent:* Thursday, January 25, 2018 4:32 AM
> *To:* Les Ginsberg (ginsberg) <[email-masked]>; Acee Lindem (acee) 
> */[Les:] Please do not propose such language. This raises the old 
> discussion about using the IGPs as a transport for “just about 
> anything”./*
>
> */We long ago agreed that TE related information was “routing 
> information” – if for no other reason than it was grandfathered in. 
> But this does not alter the IGP’s focus on routing./*
>
> */I know we “stretch” the definition with things like MSD and S-BFD 
> discriminators, but I see these as carefully considered choices – and 
> ones w modest impact./*
>
> */Institutionalizing the IGPs as an “SDN Distribution Protocol” is not 
> something I want in the charter./*
>
> */Les/*
>
> *//*
>

Hi Les,

I don't see it quite like that.

I don't think we flood a lot of the SDN specific information do we? We 
just use the LSP data structures as a convenient encoding, and 
supplement the information we flood with additional information.

If we were flooding it I would share your concern, but I don't see the 
reuse of the syntax which is what BGP-LS does as quite such a problem.

Am I missing something here?

- Stewart

>     *Les Ginsberg (ginsberg)
>     *To:* Stewart Bryant <[email-masked]>
>     <mailto:[email-masked]>; Acee Lindem (acee)
>     <[email-masked]> <mailto:[email-masked]>; Alia Atlas
>     <[email-masked]> <mailto:[email-masked]>
>     *Cc:* OSPF List <[email-masked]> <mailto:[email-masked]>;
>     Since a charter only provides a general definition of the work
>     that falls within the purview of the WG it requires some adjunct
>     to keep track of the current priorities.
>
>     maintained – but IS-IS has not) – or it could simply be the list
>     of active WG documents.
>
>     I just don’t see that we should expect the charter to express
>     “work in progress” now – or in the future.
>
>     addition to ongoing maintenance, the following topics are expected
>     to be an initial focus:/
>
>         Thanks for the quick feedback.  Feel free to provide
>         suggestions for text changes if you have them.
>
>             slightly clarified since the way the charter is written
>             they look like they are at a lower priority than the
>             enumerated list.
>
>             I would have thought that "LSR can coordinate with CCAMP
>             and BIER on their extensions " should have been more
>             directive.
>
>             - Stewart
>
>                 The Link-State Routing (LSR) Working Group is
>                 chartered to document current protocol implementation
>                 practices and improvements, protocol usage scenarios,
>                 maintenance and extensions of link-state routing
>                 interior gateway protocols (IGPs) with a focus on
>                 IS-IS, OSPFv2, and OSPFv3. The LSR Working Group is
>                 formed by merging the isis and ospf WGs and will take
>                 IS-IS is an IGP specified and standardized by ISO
>                 through ISO 10589:2002 and additional RFC standards
>                 with extensions to support IP that has been deployed
>                 in the Internet for decades.  For the IS-IS protocol,
>                 LSR’s work is focused on IP routing, currently based
>                 on the agreement in RFC 3563 with ISO/JTC1/SC6. The
>                 LSR WG will interact with other standards bodies that
>                 OSPFv2 [RFC 2328 and extensions], is an IGP that has
>                 been deployed in the Internet for decades. OSPFv3
>                 [RFC5340 and extensions] provides OSPF for IPv6 and
>                 IPv4 [RFC5838] which can be delivered over IPv6 or
>                 IPv4 [RFC 7949].
>
>                 The LSR Working Group will generally manage its
>                 specific work items by milestones agreed with the
>                 responsible Area Director.
>
>                 need for extensions and to confirm that the planned
>                 work meets the needs.  LSR can coordinate with CCAMP
>                 and BIER on their extensions to the LSR IGPs as
>                 useful.  LSR may coordinate with other WGs as needed.
>
>                 Regards,
>
>                 Alia
>
>
>
>

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 25 Jan 2018 20:44:07 +0000

Stewart –

Supporting BGP-LS is a feature implementation issue – not a protocol issue i.e., we do not define extensions to the IGPs specifically so that BGP-LS can be supported.
If your focus is only on how IGP advertisements get mapped into BGP-LS advertisements we can end this thread and simply say that your choice of words was confusing.

But as you are suggesting there is something that needs to go into the charter about this, there is a clear implication that you think there is IGP protocol extension work here. If so, I am raising a red flag and saying I don’t want such a statement in the charter.

   Les

Sent: Thursday, January 25, 2018 11:25 AM

To: Les Ginsberg (ginsberg) <[email-masked]><mailto:[email-masked]>; Acee Lindem (acee) <[email-masked]><mailto:[email-masked]>; Alia Atlas <[email-masked]><mailto:[email-masked]>

Les

I agree wrt L2

   Les

Hi Les,

I don't think we flood a lot of the SDN specific information do we? We just use the LSP data structures as a convenient encoding, and supplement the information we flood with additional information.

If we were flooding it I would share your concern, but I don't see the reuse of the syntax which is what BGP-LS does as quite such a problem.

- Stewart

- Stewart

   Les

???

   Les

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: "Dolganow, Andrew (Nokia - SG/Singapore)" <[email-masked]>
Date: Fri, 26 Jan 2018 02:02:07 +0000

+1 to that

From: Isis-wg <[email-masked]> on behalf of "Acee Lindem (acee)" <[email-masked]>
Date: Friday, January 26, 2018 at 3:18 AM
To: "Les Ginsberg (ginsberg)" <[email-masked]>, Stewart Bryant <[email-masked]>, Alia Atlas <[email-masked]>
Cc: OSPF List <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Isis-wg] Link-State Routing WG charter

Thanks,
Acee

Stewart -

Les

I agree wrt L2

   Les

- Stewart

   Les

???

   Les

Yes that fixes that.

How about:

- Stewart

Thanks,
Acee

Hi Stewart,

Regards,
Alia

Alia,

- Stewart

Regards,
Alia

Isis-wg mailing list

---

From: "Dolganow, Andrew (Nokia - SG/Singapore)" <[email-masked]>
Date: Fri, 26 Jan 2018 02:06:44 +0000

One comment – I would add a bit of text at the end of the below-quoted sentence to ensure that “extensions planned to meet the needs” do not create stability/performance problems to IGPs. I proposed a text in red for that:

The Link-State Routing (LSR) Working Group will coordinate with other working groups, such as RTGWG, SPRING, MPLS, TEAS, V6OPS, and 6MAN, to understand the need for extensions and to confirm that the planned work meets the needs and is compatible with both IS-IS and OSPF from functional, architectural and performance point of views

Andrew

From: Isis-wg <[email-masked]> on behalf of Alia Atlas <[email-masked]>
Date: Thursday, January 25, 2018 at 1:19 AM
To: "[email-masked]" <[email-masked]>, OSPF List <[email-masked]>
Subject: [Isis-wg] Link-State Routing WG charter

Regards,
Alia

---

From: Alia Atlas <[email-masked]>
Date: Thu, 25 Jan 2018 22:07:25 -0500

Andrew,

I like that improvement.

Thanks,
Alia

On Thu, Jan 25, 2018 at 9:06 PM, Dolganow, Andrew (Nokia - SG/Singapore) <
[email-masked]> wrote:

> One comment – I would add a bit of text at the end of the below-quoted
> sentence to ensure that “extensions planned to meet the needs” do not
> create stability/performance problems to IGPs. I proposed a text in red for
> that:
>
>
>
> meets the needs and is compatible with both IS-IS and OSPF from
> functional, architectural and performance point of views
>
>
>
> Andrew
>
>
>
> *From: *Isis-wg <[email-masked]> on behalf of Alia Atlas <
> [email-masked]>
> *Date: *Thursday, January 25, 2018 at 1:19 AM
> *To: *"[email-masked]" <[email-masked]>, OSPF List <[email-masked]>
> *Subject: *[Isis-wg] Link-State Routing WG charter
>
>
>